? archivers/fpc-bzip2
? audio/fpc-a52
? audio/fpc-mad
? audio/fpc-modplug
? audio/fpc-oggvorbis
? audio/fpc-openal
? audio/fpc-sndfile
? devel/fpc-dbus
? devel/fpc-fcl-res
? devel/fpc-newt
? devel/fpc-uuid
? graphics/fpc-fpvectorial
? graphics/fpc-hermes
? graphics/fpc-proj4
? graphics/fpc-rsvg
? lang/fpc-lua
? lang/fpc-rexx
? math/fpc-gmp
? multimedia/fpc-dts
? multimedia/fpc-matroska
? net/fpc-ldap
? textproc/fpc-libxml2
? www/fpc-fastcgi
Index: Mk/bsd.fpc.mk
===================================================================
RCS file: /home/ncvs/ports/Mk/bsd.fpc.mk,v
retrieving revision 1.10
diff -u -r1.10 bsd.fpc.mk
--- Mk/bsd.fpc.mk	13 Jul 2009 19:29:53 -0000	1.10
+++ Mk/bsd.fpc.mk	23 Apr 2010 11:38:07 -0000
@@ -30,8 +30,9 @@
 FPC_Include_MAINTAINER=	acm@FreeBSD.org
 FPC_Pre_Include=	bsd.fpc.mk
 
-DEFAULT_FPC_VER=	2.2.4
+DEFAULT_FPC_VER=	2.4.0
 FPC_VER=		${DEFAULT_FPC_VER}
+FPC_ARCH=		${ARCH:S/amd64/x86_64/}
 
 .if exists(${LOCALBASE}/bin/fpc)
 FPC_CURRENT_VER!=	${LOCALBASE}/bin/fpc -iV
@@ -40,9 +41,15 @@
 .	endif
 .endif
 
-BUILD_DEPENDS+=		ppc386:${PORTSDIR}/lang/fpc
+.if ${ARCH} == "i386"
+PPNAME=			ppc386
+.elif ${ARCH} == "amd64"
+PPNAME=			ppcx64
+.endif
+
+BUILD_DEPENDS+=		${PPNAME}:${PORTSDIR}/lang/fpc
 
-BUILDNAME=		${ARCH}-freebsd
+BUILDNAME=		${FPC_ARCH}-freebsd
 UNITSDIR=		${LOCALBASE}/lib/fpc/${FPC_VER}/units/${BUILDNAME}
 
 fpc-check-install:
@@ -57,18 +64,20 @@
 	@${ECHO_CMD} "#################################################################"
 .endif
 
-_FPC_ALL_UNITS=	aspell bfd cairo chm fcl-async fcl-base fcl-db fcl-fpcunit fcl-image \
-		fcl-json fcl-net fcl-passrc fcl-process fcl-registry fcl-web fcl-xml fftw \
-		fpmkunit fpgtk fv gdbint gdbm ggi gnome1 graph gtk1 gtk2 hash httpd13 httpd20 \
-		httpd22 ibase iconvenc imagemagick imlib libcurl libgd libpng mysql ncurses numlib \
-		odbc opengl openssl oracle pasjpeg paszlib pcap postgres pthreads pxlib \
-		regexpr sdl sqlite svgalib symbolic syslog tcl unzip users utmp x11 xforms \
-		zlib
+_FPC_ALL_UNITS=	a52 aspell bfd bzip2 cairo chm dbus dts fastcgi fcl-async fcl-base \
+		fcl-db fcl-fpcunit fcl-image fcl-json fcl-net fcl-passrc fcl-process \
+		fcl-registry fcl-res fcl-web fcl-xml fftw fpgtk fpmkunit fpvectorial \
+		fv gdbint gdbm ggi gmp gnome1 graph gtk1 gtk2 hash hermes httpd13 \
+		httpd20 httpd22 ibase iconvenc imagemagick imlib ldap libcurl libgd \
+		libpng 	libxml2 lua mad matroska modplug mysql ncurses newt numlib \
+		odbc oggvorbis openal opengl openssl oracle pasjpeg paszlib pcap \
+		postgres proj4 pthreads pxlib regexpr rexx rsvg sdl sndfile sqlite \
+		svgalib symbolic syslog tcl unzip users utmp uuid x11 xforms zlib
 
 .if defined(WANT_FPC_BASE)
 .       if ${WANT_FPC_BASE:L} == "yes"
-USE_FPC=	gdbint graph ibase hash httpd13 httpd20 httpd22 mysql odbc oracle \
-		pasjpeg paszlib	pthreads postgres regexpr sqlite
+USE_FPC=	gdbint graph hash httpd13 httpd20 httpd22 ibase mysql odbc oracle \
+		pasjpeg paszlib postgres pthreads regexpr sqlite
 .       else
 IGNORE= unknown value, please use "yes" instead of
 .       endif
@@ -93,26 +102,31 @@
 # Base units
 gdbint_UNIT=	devel/fpc-gdbint
 graph_UNIT=	graphics/fpc-graph
-ibase_UNIT=	databases/fpc-ibase
 hash_UNIT=	security/fpc-hash
 httpd13_UNIT=	www/fpc-httpd13
 httpd20_UNIT=	www/fpc-httpd20
 httpd22_UNIT=	www/fpc-httpd22
+ibase_UNIT=	databases/fpc-ibase
 mysql_UNIT=	databases/fpc-mysql
 odbc_UNIT=	databases/fpc-odbc
 oracle_UNIT=	databases/fpc-oracle
 pasjpeg_UNIT=	graphics/fpc-pasjpeg
 paszlib_UNIT=	archivers/fpc-paszlib
-pthreads_UNIT=	devel/fpc-pthreads
 postgres_UNIT=	databases/fpc-postgres
+pthreads_UNIT=	devel/fpc-pthreads
 regexpr_UNIT=	devel/fpc-regexpr
 sqlite_UNIT=	databases/fpc-sqlite
 
 # Extra units
+a52_UNIT=	audio/fpc-a52
 aspell_UNIT=	textproc/fpc-aspell
 bfd_UNIT=	devel/fpc-bfd
+bzip2_UNIT=	devel/fpc-bzip2
 cairo_UNIT=	graphics/fpc-cairo
 chm_UNIT=	misc/fpc-chm
+dbus_UNIT=	devel/fpc-dbus
+dts_UNIT=	multimedia/fpc-dts
+fastcgi_UNIT=	www/fpc-fastcgi
 fcl_async_UNIT=	devel/fpc-fcl-async
 fcl_base_UNIT=	devel/fpc-fcl-base
 fcl_db_UNIT=	devel/fpc-fcl-db
@@ -123,30 +137,47 @@
 fcl_passrc_UNIT=	devel/fpc-fcl-passrc
 fcl_process_UNIT=	devel/fpc-fcl-process
 fcl_registry_UNIT=	devel/fpc-fcl-registry
+fcl_res_UNIT=	devel/fpc-fcl-res
 fcl_web_UNIT=	devel/fpc-fcl-web
 fcl_xml_UNIT=	devel/fpc-fcl-xml
 fftw_UNIT=	math/fpc-fftw
 fpmkunit_UNIT=	devel/fpc-fpmkunit
 fpgtk_UNIT=	graphics/fpc-fpgtk
+fpvectorial_UNIT=	graphics/fpc-fpvectorial
 fv_UNIT=	devel/fpc-fv
+hermes_UNIT=	graphics/fpc-hermes
 gdbm_UNIT=	databases/fpc-gdbm
 ggi_UNIT=	graphics/fpc-ggi
+gmp_UNIT=	math/fpc-gmp
 gnome1_UNIT=	x11-toolkits/fpc-gnome1
 gtk1_UNIT=	x11-toolkits/fpc-gtk1
 gtk2_UNIT=	x11-toolkits/fpc-gtk2
 iconvenc_UNIT=	converters/fpc-iconvenc
 imagemagick_UNIT=	graphics/fpc-imagemagick
 imlib_UNIT=	graphics/fpc-imlib
+ldap_UNIT=	net/fpc-ldap
 libcurl_UNIT=	ftp/fpc-libcurl
 libgd_UNIT=	graphics/fpc-libgd
 libpng_UNIT=	graphics/fpc-libpng
+libxml2_UNIT=	textproc/fpc-libxml2
+lua_UNIT=	lang/fpc-lua
+mad_UNIT=	audio/fpc-mad
+matroska_UNIT=	multimedia/fpc-matroska
+modplug_UNIT=	audio/fpc-modplug
+newt_UNIT=	devel/fpc-newt
 ncurses_UNIT=	graphics/fpc-ncurses
 numlib_UNIT=	math/fpc-numlib
+openal_UNIT=	audio/fpc-openal
 opengl_UNIT=	graphics/fpc-opengl
+oggvorbis_UNIT=	audio/fpc-oggvorbis
 openssl_UNIT=	security/fpc-openssl
 pcap_UNIT=	net/fpc-pcap
+proj4_UNIT=	graphics/fpc-proj4
 pxlib_UNIT=	databases/fpc-pxlib
+rexx_UNIT=	lang/fpc-rexx
+rsvg_UNIT=	graphics/fpc-rsvg
 sdl_UNIT=	devel/fpc-sdl
+sndfile_UNIT=	audio/fpc-sndfile
 svgalib_UNIT=	graphics/fpc-svgalib
 symbolic_UNIT=	devel/fpc-symbolic
 syslog_UNIT=	sysutils/fpc-syslog
@@ -154,6 +185,7 @@
 unzip_UNIT=	archivers/fpc-unzip
 users_UNIT=	sysutils/fpc-users
 utmp_UNIT=	sysutils/fpc-utmp
+uuid_UNIT=	devel/fpc-uuid
 x11_UNIT=	x11/fpc-x11
 xforms_UNIT=	x11-toolkits/fpc-xforms
 zlib_UNIT=	devel/fpc-zlib
Index: archivers/fpc-unzip/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/archivers/fpc-unzip/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- archivers/fpc-unzip/pkg-plist	24 Jul 2006 11:21:19 -0000	1.1
+++ archivers/fpc-unzip/pkg-plist	12 Apr 2010 11:58:48 -0000
@@ -1,10 +1,10 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/unzip/Package.fpc
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/unzip/ziptypes.ppu
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/unzip/unzip.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/unzip/unzip51g.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/unzip/ziptypes.o
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/unzip/unzip.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/unzip/unzip51g.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/unzip/libpziptypes.a
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/unzip/libpunzip.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/unzip/libpunzip51g.a
 @dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/unzip
 @dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
 @dirrmtry lib/fpc/%%PORTVERSION%%/units
Index: converters/fpc-iconvenc/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/converters/fpc-iconvenc/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- converters/fpc-iconvenc/pkg-plist	4 May 2009 15:21:21 -0000	1.1
+++ converters/fpc-iconvenc/pkg-plist	12 Apr 2010 12:00:23 -0000
@@ -1,7 +1,10 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/iconvenc/Package.fpc
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/iconvenc/iconvenc.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/iconvenc/iconvenc_dyn.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/iconvenc/iconvenc.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/iconvenc/iconvenc_dyn.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/iconvenc/libpiconvenc.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/iconvenc/libpiconvenc_dyn.a
 @dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/iconvenc
 @dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
 @dirrmtry lib/fpc/%%PORTVERSION%%/units
Index: devel/fpc-fcl-base/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/devel/fpc-fcl-base/pkg-plist,v
retrieving revision 1.5
diff -u -r1.5 pkg-plist
--- devel/fpc-fcl-base/pkg-plist	4 May 2009 15:23:05 -0000	1.5
+++ devel/fpc-fcl-base/pkg-plist	12 Apr 2010 12:02:21 -0000
@@ -1,4 +1,5 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/Package.fpc
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/ascii85.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/contnrs.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/inifiles.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/rtfpars.ppu
@@ -28,6 +29,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/syncobjs.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/daemonapp.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/fptimer.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/ascii85.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/contnrs.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/inifiles.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/rtfpars.o
@@ -57,6 +59,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/syncobjs.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/daemonapp.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/fptimer.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/libpascii85.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/libpcontnrs.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/libpinifiles.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-base/libprtfpars.a
Index: devel/fpc-fcl-db/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/devel/fpc-fcl-db/pkg-plist,v
retrieving revision 1.5
diff -u -r1.5 pkg-plist
--- devel/fpc-fcl-db/pkg-plist	4 May 2009 15:23:06 -0000	1.5
+++ devel/fpc-fcl-db/pkg-plist	12 Apr 2010 12:02:22 -0000
@@ -206,6 +206,9 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-db/libpfpcgsqlconst.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-db/libpfpcgtiopf.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-db/libpfpddpopcode.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-db/xmldatapacketreader.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-db/xmldatapacketreader.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-db/libpxmldatapacketreader.a
 @dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-db
 @dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
 @dirrmtry lib/fpc/%%PORTVERSION%%/units
Index: devel/fpc-fcl-image/Makefile
===================================================================
RCS file: /home/ncvs/ports/devel/fpc-fcl-image/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- devel/fpc-fcl-image/Makefile	28 Mar 2010 06:33:06 -0000	1.15
+++ devel/fpc-fcl-image/Makefile	12 Apr 2010 12:02:22 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/devel/fpc-fcl-image/Makefile,v 1.15 2010/03/28 06:33:06 dinoex Exp $
 #
 
-PORTREVISION=	1
+PORTREVISION=	0
 CATEGORIES=	devel lang
 PKGNAMESUFFIX=	-fcl-image
 
Index: devel/fpc-fcl-image/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/devel/fpc-fcl-image/pkg-plist,v
retrieving revision 1.5
diff -u -r1.5 pkg-plist
--- devel/fpc-fcl-image/pkg-plist	4 May 2009 15:23:06 -0000	1.5
+++ devel/fpc-fcl-image/pkg-plist	12 Apr 2010 12:02:22 -0000
@@ -2,7 +2,10 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpimgcmn.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpimage.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/pngcomn.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpreadgif.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpreadpng.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpreadpsd.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpreadxwd.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpwritepng.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpreadxpm.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpwritexpm.ppu
@@ -36,10 +39,14 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/freetypeh.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/freetype.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/ftfont.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/xwdfile.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpimgcmn.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpimage.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/pngcomn.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpreadgif.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpreadpng.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpreadpsd.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpreadxwd.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpwritepng.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpreadxpm.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/fpwritexpm.o
@@ -73,10 +80,14 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/freetypeh.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/freetype.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/ftfont.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/xwdfile.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libpfpimgcmn.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libpfpimage.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libppngcomn.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libpfpreadgif.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libpfpreadpng.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libpfpreadpsd.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libpfpreadxwd.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libpfpwritepng.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libpfpreadxpm.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libpfpwritexpm.a
@@ -110,6 +121,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libpextinterpolation.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libpfreetype.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libpftfont.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image/libpxwdfile.a
 @dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-image
 @dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
 @dirrmtry lib/fpc/%%PORTVERSION%%/units
Index: devel/fpc-fcl-web/Makefile
===================================================================
RCS file: /home/ncvs/ports/devel/fpc-fcl-web/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- devel/fpc-fcl-web/Makefile	4 May 2009 15:23:06 -0000	1.12
+++ devel/fpc-fcl-web/Makefile	12 Apr 2010 12:02:22 -0000
@@ -12,7 +12,7 @@
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	Free Pascal Component Library
 
-USE_FPC=	fcl-async fcl-base fcl-db fcl-process fcl-xml hash httpd13 httpd20 \
+USE_FPC=	fastcgi fcl-async fcl-base fcl-db fcl-process fcl-xml hash httpd13 httpd20 \
 		httpd22 ibase mysql odbc oracle paszlib postgres pthreads sqlite
 
 MASTERDIR=	${.CURDIR}/../../lang/fpc
Index: devel/fpc-fcl-web/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/devel/fpc-fcl-web/pkg-plist,v
retrieving revision 1.5
diff -u -r1.5 pkg-plist
--- devel/fpc-fcl-web/pkg-plist	4 May 2009 15:23:06 -0000	1.5
+++ devel/fpc-fcl-web/pkg-plist	12 Apr 2010 12:02:22 -0000
@@ -4,8 +4,11 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/httpdefs.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/fphttp.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/custcgi.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/custfcgi.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/custweb.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/fpapache.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/fpcgi.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/fpfcgi.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/fptemplate.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/fphtml.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/websession.ppu
@@ -17,8 +20,11 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/httpdefs.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/fphttp.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/custcgi.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/custfcgi.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/custweb.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/fpapache.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/fpcgi.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/fpfcgi.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/fptemplate.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/fphtml.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/websession.o
@@ -30,8 +36,11 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/libpezcgi.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/libphttpdefs.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/libpfpcgi.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/libpfpfcgi.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/libpfphttp.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/libpcustcgi.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/libpcustfcgi.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/libpcustweb.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/libpfptemplate.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/libpfphtml.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-web/libpwebsession.a
Index: devel/fpc-fcl-xml/Makefile
===================================================================
RCS file: /home/ncvs/ports/devel/fpc-fcl-xml/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- devel/fpc-fcl-xml/Makefile	14 Jan 2009 06:12:06 -0000	1.10
+++ devel/fpc-fcl-xml/Makefile	20 Apr 2010 18:59:47 -0000
@@ -12,7 +12,7 @@
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	Free Pascal Component Library
 
-USE_FPC=	fcl-async fcl-base hash paszlib pthreads
+USE_FPC=	fcl-async fcl-base hash iconvenc paszlib pthreads
 
 MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
Index: devel/fpc-fcl-xml/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/devel/fpc-fcl-xml/pkg-plist,v
retrieving revision 1.4
diff -u -r1.4 pkg-plist
--- devel/fpc-fcl-xml/pkg-plist	14 Jan 2009 06:12:06 -0000	1.4
+++ devel/fpc-fcl-xml/pkg-plist	20 Apr 2010 18:59:47 -0000
@@ -7,6 +7,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/sax_html.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/dom_html.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/xmlcfg.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/xmliconv.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/xmlread.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/xmlstreaming.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/xmlwrite.ppu
@@ -24,6 +25,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/sax_html.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/dom_html.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/xmlcfg.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/xmliconv.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/xmlread.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/xmlstreaming.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/xmlwrite.o
@@ -41,6 +43,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/libpsax_html.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/libpdom_html.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/libpxmlcfg.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/libpxmliconv.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/libpxmlread.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/libpxmlstreaming.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fcl-xml/libpxmlwrite.a
Index: devel/fpc-sdl/Makefile
===================================================================
RCS file: /home/ncvs/ports/devel/fpc-sdl/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- devel/fpc-sdl/Makefile	28 Mar 2010 06:33:06 -0000	1.4
+++ devel/fpc-sdl/Makefile	12 Apr 2010 12:02:22 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTVERSION=	0
-PORTREVISION=	3
+PORTREVISION=	0
 CATEGORIES=	devel lang
 PKGNAMESUFFIX=	-sdl
 
Index: devel/fpc-sdl/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/devel/fpc-sdl/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- devel/fpc-sdl/pkg-plist	14 Jan 2009 02:25:58 -0000	1.1
+++ devel/fpc-sdl/pkg-plist	22 Apr 2010 09:09:56 -0000
@@ -8,7 +8,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/sdl_net.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/smpeg.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/logger.ppu
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/sdlutils.ppu
+%%ARCH_I386%%lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/sdlutils.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/sdl.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/sdl_image.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/sdl_mixer.o
@@ -18,7 +18,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/sdl_net.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/smpeg.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/logger.o
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/sdlutils.o
+%%ARCH_I386%%lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/sdlutils.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/libpsdl.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/libpsdl_image.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/libpsdl_mixer.a
@@ -28,7 +28,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/libpsdl_net.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/libpsmpeg.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/libplogger.a
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/libpsdlutils.a
+%%ARCH_I386%%lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl/libpsdlutils.a
 @dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/sdl
 @dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
 @dirrmtry lib/fpc/%%PORTVERSION%%/units
Index: editors/fpc-ide/Makefile
===================================================================
RCS file: /home/ncvs/ports/editors/fpc-ide/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- editors/fpc-ide/Makefile	28 Mar 2010 06:33:48 -0000	1.19
+++ editors/fpc-ide/Makefile	12 Apr 2010 12:04:36 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/editors/fpc-ide/Makefile,v 1.19 2010/03/28 06:33:48 dinoex Exp $
 #
 
-PORTREVISION=	3
+PORTREVISION=	0
 CATEGORIES=	editors lang
 PKGNAMESUFFIX=	-ide
 
Index: editors/lazarus/Makefile
===================================================================
RCS file: /home/ncvs/ports/editors/lazarus/Makefile,v
retrieving revision 1.28
diff -u -r1.28 Makefile
--- editors/lazarus/Makefile	28 Mar 2010 06:34:03 -0000	1.28
+++ editors/lazarus/Makefile	23 Apr 2010 15:52:04 -0000
@@ -16,7 +16,7 @@
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	A portable Delphi-like IDE for the FreePascal compiler
 
-ONLY_FOR_ARCHS=	i386
+ONLY_FOR_ARCHS=	i386 amd64
 
 USE_BZIP2=	yes
 USE_ICONV=	yes
Index: ftp/fpc-libcurl/Makefile
===================================================================
RCS file: /home/ncvs/ports/ftp/fpc-libcurl/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- ftp/fpc-libcurl/Makefile	3 Apr 2010 10:44:09 -0000	1.6
+++ ftp/fpc-libcurl/Makefile	12 Apr 2010 12:05:15 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/ftp/fpc-libcurl/Makefile,v 1.6 2010/04/03 10:44:09 roam Exp $
 #
 
-PORTREVISION=	1
+PORTREVISION=	0
 CATEGORIES=	ftp lang
 PKGNAMESUFFIX=	-libcurl
 
Index: graphics/fpc-cairo/Makefile
===================================================================
RCS file: /home/ncvs/ports/graphics/fpc-cairo/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- graphics/fpc-cairo/Makefile	28 Mar 2010 06:36:27 -0000	1.6
+++ graphics/fpc-cairo/Makefile	12 Apr 2010 12:06:40 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/graphics/fpc-cairo/Makefile,v 1.6 2010/03/28 06:36:27 dinoex Exp $
 #
 
-PORTREVISION=	1
+PORTREVISION=	0
 CATEGORIES=	graphics lang
 PKGNAMESUFFIX=	-cairo
 
Index: graphics/fpc-graph/Makefile
===================================================================
RCS file: /home/ncvs/ports/graphics/fpc-graph/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- graphics/fpc-graph/Makefile	28 Mar 2010 06:36:27 -0000	1.6
+++ graphics/fpc-graph/Makefile	12 Apr 2010 12:06:40 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/graphics/fpc-graph/Makefile,v 1.6 2010/03/28 06:36:27 dinoex Exp $
 #
 
-PORTREVISION=	3
+PORTREVISION=	0
 CATEGORIES=	graphics lang
 PKGNAMESUFFIX=	-graph
 
Index: graphics/fpc-graph/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/graphics/fpc-graph/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- graphics/fpc-graph/pkg-plist	14 Jan 2009 06:12:08 -0000	1.2
+++ graphics/fpc-graph/pkg-plist	22 Apr 2010 09:25:23 -0000
@@ -1,13 +1,13 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph/Package.fpc
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph/graph.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph/ggigraph.ppu
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph/sdlgraph.ppu
+%%ARCH_I386%%lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph/sdlgraph.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph/graph.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph/ggigraph.o
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph/sdlgraph.o
+%%ARCH_I386%%lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph/sdlgraph.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph/libpgraph.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph/libpggigraph.a
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph/libpsdlgraph.a
+%%ARCH_I386%%lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph/libpsdlgraph.a
 @dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/graph
 @dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
 @dirrmtry lib/fpc/%%PORTVERSION%%/units
Index: graphics/fpc-imagemagick/Makefile
===================================================================
RCS file: /home/ncvs/ports/graphics/fpc-imagemagick/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- graphics/fpc-imagemagick/Makefile	28 Mar 2010 06:36:28 -0000	1.4
+++ graphics/fpc-imagemagick/Makefile	12 Apr 2010 12:06:40 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/graphics/fpc-imagemagick/Makefile,v 1.4 2010/03/28 06:36:28 dinoex Exp $
 #
 
-PORTREVISION=	3
+PORTREVISION=	0
 CATEGORIES=	graphics lang
 PKGNAMESUFFIX=	-imagemagick
 
Index: graphics/fpc-imlib/Makefile
===================================================================
RCS file: /home/ncvs/ports/graphics/fpc-imlib/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- graphics/fpc-imlib/Makefile	28 Mar 2010 06:36:28 -0000	1.13
+++ graphics/fpc-imlib/Makefile	12 Apr 2010 12:06:40 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/graphics/fpc-imlib/Makefile,v 1.13 2010/03/28 06:36:28 dinoex Exp $
 #
 
-PORTREVISION=	3
+PORTREVISION=	0
 CATEGORIES=	graphics lang
 PKGNAMESUFFIX=	-imlib
 
Index: graphics/fpc-libgd/Makefile
===================================================================
RCS file: /home/ncvs/ports/graphics/fpc-libgd/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- graphics/fpc-libgd/Makefile	28 Mar 2010 06:36:28 -0000	1.12
+++ graphics/fpc-libgd/Makefile	12 Apr 2010 12:06:40 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/graphics/fpc-libgd/Makefile,v 1.12 2010/03/28 06:36:28 dinoex Exp $
 #
 
-PORTREVISION=	3
+PORTREVISION=	0
 CATEGORIES=	graphics lang
 PKGNAMESUFFIX=	-libgd
 
Index: graphics/fpc-libpng/Makefile
===================================================================
RCS file: /home/ncvs/ports/graphics/fpc-libpng/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- graphics/fpc-libpng/Makefile	28 Mar 2010 06:36:28 -0000	1.9
+++ graphics/fpc-libpng/Makefile	12 Apr 2010 12:06:40 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/graphics/fpc-libpng/Makefile,v 1.9 2010/03/28 06:36:28 dinoex Exp $
 #
 
-PORTREVISION=	1
+PORTREVISION=	0
 CATEGORIES=	graphics lang
 PKGNAMESUFFIX=	-libpng
 
Index: graphics/fpc-opengl/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/graphics/fpc-opengl/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- graphics/fpc-opengl/pkg-plist	7 Sep 2006 21:32:27 -0000	1.2
+++ graphics/fpc-opengl/pkg-plist	20 Apr 2010 17:25:23 -0000
@@ -15,6 +15,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/opengl/libpglut.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/opengl/libpglx.a
 %%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/opengl/glutdemo.pp
+%%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/opengl/glutdemova.pp
 %%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/opengl/morph3d.pp
 %%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/opengl/glxtest.pp
 %%PORTDOCS%%share/examples/fpc-%%PORTVERSION%%/opengl/radblur.pp
Index: graphics/fpc-pasjpeg/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/graphics/fpc-pasjpeg/pkg-plist,v
retrieving revision 1.3
diff -u -r1.3 pkg-plist
--- graphics/fpc-pasjpeg/pkg-plist	14 Jan 2009 06:12:11 -0000	1.3
+++ graphics/fpc-pasjpeg/pkg-plist	12 Apr 2010 12:06:40 -0000
@@ -15,6 +15,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jcparam.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jcphuff.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jcprepct.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jctrans.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jcsample.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jdapimin.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jdapistd.ppu
@@ -65,6 +66,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jcparam.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jcphuff.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jcprepct.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jctrans.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jcsample.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jdapimin.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/jdapistd.o
@@ -114,6 +116,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/libpjcparam.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/libpjcphuff.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/libpjcprepct.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/libpjctrans.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/libpjcsample.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/libpjdapimin.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/pasjpeg/libpjdapistd.a
Index: lang/fpc/Makefile
===================================================================
RCS file: /home/ncvs/ports/lang/fpc/Makefile,v
retrieving revision 1.34
diff -u -r1.34 Makefile
--- lang/fpc/Makefile	27 Aug 2009 18:31:06 -0000	1.34
+++ lang/fpc/Makefile	11 Aug 2010 18:54:40 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	fpc
-PORTVERSION=	2.2.4
+PORTVERSION=	2.4.0
 PORTREVISION?=	0
 CATEGORIES?=	lang
 MASTER_SITES=	ftp://ftp.freepascal.org/pub/fpc/dist/${PORTVERSION}/source/:source \
@@ -16,10 +16,18 @@
 		ftp://ftp.no.freepascal.org/pub/fpc/dist/${PORTVERSION}/source/:source \
 		ftp://ftp.us.freepascal.org/pub/fpc/dist/${PORTVERSION}/source/:source \
 		SF/freepascal/Source/${PORTVERSION}:source \
+		ftp://ftp.freepascal.org/pub/fpc/dist/${PORTVERSION}/bootstrap/:bootstrap \
+		ftp://planetmirror.com/pub/fpc/dist/${PORTVERSION}/bootstrap/:bootstrap \
+		ftp://ftp.jp.freepascal.org/mirror/fpc/dist/${PORTVERSION}/bootstrap/:bootstrap \
+		ftp://freepascal.stack.nl/pub/fpc/dist/${PORTVERSION}/bootstrap/:bootstrap \
+		ftp://ftp.no.freepascal.org/pub/fpc/dist/${PORTVERSION}/bootstrap/:bootstrap \
+		ftp://ftp.us.freepascal.org/pub/fpc/dist/${PORTVERSION}/bootstrap/:bootstrap \
+		SF/freepascal/Bootstrap/${PORTVERSION}:bootstrap \
 		${MASTER_SITE_GOOGLE_CODE}:bin \
 		${MASTER_SITE_LOCAL:S|$|acm/freepascal/:bin|}
 DISTNAME=	${PORTNAME}-${PORTVERSION}
-DISTFILES=	${DISTNAME:S/$/.source/}${EXTRACT_SUFX}:source
+SRCDISTNAME=	${DISTNAME:S/$/.source/}
+DISTFILES=	${SRCDISTNAME}${EXTRACT_SUFX}:source
 DIST_SUBDIR=	freepascal
 
 MAINTAINER?=	acm@FreeBSD.org
@@ -27,7 +35,7 @@
 
 PROJECTHOST=	bsdistfiles
 USE_GMAKE=	yes
-ONLY_FOR_ARCHS=	i386
+ONLY_FOR_ARCHS=	i386 amd64
 
 OPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
 SUB_FILES=	pkg-message
@@ -37,14 +45,49 @@
 
 .include <bsd.port.pre.mk>
 
-.if !defined(PKGNAMESUFFIX)
-BUILDNAME=	${ARCH}-freebsd
+FPC_ARCH=	${ARCH:S/amd64/x86_64/}
+BUILDNAME=	${FPC_ARCH}-freebsd
+
+.if ${ARCH} == "i386"
+PPNAME=ppc386
+.elif ${ARCH} == "amd64"
+PPNAME=ppcx64
+.endif
+
+.if ${ARCH} == "i386"
+ARCH_I386=
+ARCH_AMD64="@comment "
+.elif ${ARCH} == "amd64"
+ARCH_I386="@comment "
+ARCH_AMD64=
+.endif
+
 PLIST_SUB=	PORTVERSION=${PORTVERSION} \
-		BUILDNAME=${BUILDNAME}
-DISTFILES+=	${DISTNAME:S/$/.bin/}${EXTRACT_SUFX}:bin
-MAKE_ENV+=	PP=${WRKDIR}/${PORTNAME}-${PORTVERSION:S/$/.bin/}/lib/${PORTNAME}/${PORTVERSION}/ppc386 \
-		FPCMAKE=${WRKDIR}/${PORTNAME}-${PORTVERSION:S/$/.bin/}/bin/fpcmake \
+		BUILDNAME=${BUILDNAME} \
+		ARCH_I386=${ARCH_I386} \
+		ARCH_AMD64=${ARCH_AMD64}
+
+.if !defined(PKGNAMESUFFIX)
+MANDISTNAME=		${PORTNAME}-${PORTVERSION}.man
+FPCBUILDDISTNAME=	${PORTNAME:S/$/build/}-${PORTVERSION}
+.if ${ARCH} == "i386"
+BSDISTNAME=	${PPNAME}-freebsd-6
+.elif ${ARCH} == "amd64"
+BSDISTNAME=	${PPNAME}-${PORTVERSION}-${FPC_ARCH}-freebsd-6
+.endif
+BSDIST_SUFX=.bz2
+
+DISTFILES+=	${MANDISTNAME}${EXTRACT_SUFX}:bin
+.if ${ARCH} == "i386"
+DISTFILES+=	${BSDISTNAME}${BSDIST_SUFX}:bootstrap
+.else
+DISTFILES+=	${BSDISTNAME}${BSDIST_SUFX}:bin
+.endif
+
+MAKE_ENV+=	PP=${WRKDIR}/${BSDISTNAME} \
+		FPCMAKE=${WRKDIR}/${FPCSRCDIR}/utils/fpcm/fpcmake \
 		FPCTARGET=${BUILDNAME} \
+		ARCH=${FPC_ARCH} \
 		OPT="${OPT}" \
 		BSDHIER=1
 
@@ -87,18 +130,26 @@
 MAN5=	fpc.cfg.5 fpcmake.5 ptop.cfg.5
 
 do-extract:
-# unpack binary distribution
 	@${MKDIR} ${WRKDIR}
-	@${TAR} xfz ${_DISTDIR}/${DISTNAME:S/$/.bin/}${EXTRACT_SUFX} --directory \
-		${WRKDIR}
+# unpack manpage distribution
+	@cd ${WRKDIR} && ${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${_DISTDIR}/${MANDISTNAME}${EXTRACT_SUFX} ${EXTRACT_AFTER_ARGS}
+# unpack bootstrap executable
+	@${BZIP2_CMD} -dc ${_DISTDIR}/${BSDISTNAME}${BSDIST_SUFX} > ${WRKDIR}/${BSDISTNAME} \
+		&& ${CHMOD} +x ${WRKDIR}/${BSDISTNAME}
 # unpack source distribution
-	@cd ${WRKDIR} && \
-		${GZIP_CMD} -dc ${_DISTDIR}/${DISTNAME:S/$/.source/}${EXTRACT_SUFX} \
-			| ${TAR} xf - ${FPCSRCDIR}/compiler ${FPCSRCDIR}/rtl ${FPCSRCDIR}/utils/fpcm
+	@cd ${WRKDIR} && ${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${_DISTDIR}/${SRCDISTNAME}${EXTRACT_SUFX} ${EXTRACT_AFTER_ARGS} \
+		${FPCSRCDIR}/compiler ${FPCSRCDIR}/rtl ${FPCSRCDIR}/utils/fpcm
+
 
 post-patch:
 # patch fpc rtl
-	@${REINPLACE_CMD} -i "" -e 's|504000|${OSVERSION}|g' ${WRKDIR}/${FPCSRCDIR}/rtl/freebsd/${ARCH}/cprt0.as
+.if ${ARCH} == "i386"
+	@${REINPLACE_CMD} -i "" -e 's|504000|${OSVERSION}|g' ${WRKDIR}/${FPCSRCDIR}/rtl/freebsd/${FPC_ARCH}/prt0.as
+.elif ${ARCH} == "amd64"
+	@${REINPLACE_CMD} -i "" -e 's|700055|${OSVERSION}|g' ${WRKDIR}/${FPCSRCDIR}/rtl/freebsd/${FPC_ARCH}/cprt0.as
+	@${REINPLACE_CMD} -i "" -e 's|502110|${OSVERSION}|g' ${WRKDIR}/${FPCSRCDIR}/rtl/freebsd/${FPC_ARCH}/gprt0.as
+	@${REINPLACE_CMD} -i "" -e 's|700055|${OSVERSION}|g' ${WRKDIR}/${FPCSRCDIR}/rtl/freebsd/${FPC_ARCH}/prt0.as
+.endif
 
 do-build:
 # build fpc compiler
@@ -107,25 +158,60 @@
 	@cd ${WRKDIR}/${FPCSRCDIR}/utils/fpcm && ${GMAKE} ${MAKE_ENV}
 
 do-install:
-	# Installing fpc compiler
+# Installing fpc compiler
 	@cd ${WRKDIR}/${FPCSRCDIR}/rtl && ${GMAKE} install ${MAKE_ENV}
-      	# Installing fpc runtime
+# Installing fpc runtime
 	@cd ${WRKDIR}/${FPCSRCDIR}/compiler && ${GMAKE} install ${MAKE_ENV}
-	# Installng fpcmake
+# Installng fpcmake
 	@@cd ${WRKDIR}/${FPCSRCDIR}/utils/fpcm && ${GMAKE} install ${MAKE_ENV}
-	# Installing manpages
-	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}-${PORTVERSION:S/$/.bin/}/man/man1/* ${MAN1PREFIX}/man/man1
-	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}-${PORTVERSION:S/$/.bin/}/man/man5/* ${MAN1PREFIX}/man/man5
+# Installing manpages
+	${INSTALL_DATA} ${WRKDIR}/${FPCBUILDDISTNAME}/install/man/man1/* ${MAN1PREFIX}/man/man1
+	${INSTALL_DATA} ${WRKDIR}/${FPCBUILDDISTNAME}/install/man/man5/* ${MAN1PREFIX}/man/man5
 
 post-install:
-	if [ -e "${PREFIX}/bin/ppc386" ]; then ${RM} -f "${PREFIX}/bin/ppc386"; fi
-	${LN} -s "${PREFIX}/lib/fpc/${PORTVERSION}/ppc386" "${PREFIX}/bin"
+	if [ -e "${PREFIX}/bin/${PPNAME}" ]; then ${RM} -f "${PREFIX}/bin/${PPNAME}"; fi
+	${LN} -s "${PREFIX}/lib/fpc/${PORTVERSION}/${PPNAME}" "${PREFIX}/bin"
 	${SH} "${PREFIX}/lib/fpc/${PORTVERSION}/samplecfg" "${PREFIX}/lib/fpc/${PORTVERSION}" "${PREFIX}/etc"
 	@if [ ! -f ${PREFIX}/etc/fpc.cfg ]; then \
 		${CP} ${PREFIX}/etc/fpc.cfg.sample ${PREFIX}/etc/fpc.cfg; \
 	fi
 	@${CAT} ${PKGMESSAGE}
 
+.ifmake build-bootstrap
+BLDDIR=		${WRKDIR}/bootstrap
+DISTFILES=	${SRCDISTNAME}${EXTRACT_SUFX}:source
+_BSDISTNAME=	${PPNAME}-${PORTVERSION}-${FPC_ARCH}-freebsd-${OSREL:C/\\..*$//}
+build-bootstrap: fetch checksum
+	@${MKDIR} ${BLDDIR}
+# unpack source distribution
+	@cd ${BLDDIR} && \
+		${GZIP_CMD} -dc ${_DISTDIR}/${SRCDISTNAME}${EXTRACT_SUFX} \
+			| ${TAR} xf - ${FPCSRCDIR}/compiler  ${FPCSRCDIR}/rtl
+# patch fpc rtl
+.if ${ARCH} == "i386"
+	@${REINPLACE_CMD} -i "" -e 's|504000|${OSVERSION}|g' ${BLDDIR}/${FPCSRCDIR}/rtl/freebsd/${FPC_ARCH}/prt0.as
+.elif ${ARCH} == "amd64"
+	@${REINPLACE_CMD} -i "" -e 's|700055|${OSVERSION}|g' ${BLDDIR}/${FPCSRCDIR}/rtl/freebsd/${FPC_ARCH}/cprt0.as
+	@${REINPLACE_CMD} -i "" -e 's|502110|${OSVERSION}|g' ${BLDDIR}/${FPCSRCDIR}/rtl/freebsd/${FPC_ARCH}/gprt0.as
+	@${REINPLACE_CMD} -i "" -e 's|700055|${OSVERSION}|g' ${BLDDIR}/${FPCSRCDIR}/rtl/freebsd/${FPC_ARCH}/prt0.as
+.endif
+	@cd ${BLDDIR}/${FPCSRCDIR} && ${PATCH} < ${FILESDIR}/patch-syscall
+# build fpc compiler
+	@cd ${BLDDIR}/${FPCSRCDIR}/compiler && ${GMAKE} cycle ${MAKE_ENV:S/PP=/_PP=/}
+	@${STRIP_CMD} ${BLDDIR}/${FPCSRCDIR}/compiler/${PPNAME}
+# compress fpc compiler
+	@${ECHO} "Creating ${.CURDIR}/${_BSDISTNAME}${BSDIST_SUFX}"
+	@${BZIP2_CMD} -zc ${BLDDIR}/${FPCSRCDIR}/compiler/${PPNAME} > ${.CURDIR}/${_BSDISTNAME}${BSDIST_SUFX}
+.endif
+
+.ifmake build-man
+DISTFILES=	${FPCBUILDDISTNAME}${EXTRACT_SUFX}:source
+build-man: fetch checksum
+	@${ECHO} "Creating ${.CURDIR}/${MANDISTNAME}${EXTRACT_SUFX}"
+	@${TAR} czf ${.CURDIR}/${MANDISTNAME}${EXTRACT_SUFX} --include="*/man/man[0-9]/*.[0-9]" \
+		@${_DISTDIR}/${FPCBUILDDISTNAME}${EXTRACT_SUFX}
+.endif
+
 .else
 .include "${MASTERDIR}/Makefile.units"
 .endif
Index: lang/fpc/Makefile.units
===================================================================
RCS file: /home/ncvs/ports/lang/fpc/Makefile.units,v
retrieving revision 1.22
diff -u -r1.22 Makefile.units
--- lang/fpc/Makefile.units	3 Apr 2010 10:44:18 -0000	1.22
+++ lang/fpc/Makefile.units	23 Apr 2010 11:13:40 -0000
@@ -1,6 +1,3 @@
-PLIST_SUB=		PORTVERSION=${PORTVERSION} \
-			BUILDNAME=${BUILDNAME}
-
 PLIST=			${.CURDIR}/pkg-plist
 PATCHDIR=		${.CURDIR}/files
 WRKSRC=			${WRKDIR}/${PORTNAME}-${PORTVERSION}
@@ -13,9 +10,10 @@
 EXTRACT_AFTER_ARGS=	| ${TAR} -xf - ${EXTRACTUNITDIR}
 OPT=-CX
 
-MAKE_ENV+=		PP=${LOCALBASE}/bin/ppc386 \
+MAKE_ENV+=		PP=${LOCALBASE}/bin/${PPNAME} \
 			FPCMAKE=${LOCALBASE}/bin/fpcmake \
 			FPCTARGET=${BUILDNAME} \
+			ARCH=${FPC_ARCH} \
 			OPT="${OPT}" \
 			BSDHIER=1
 
@@ -82,8 +80,8 @@
 .endif
 
 .if ${PKGNAMESUFFIX} == "-fcl-db"
-OPT+=	-Fuunits/${ARCH}-freebsd -Fu../units/${ARCH}-freebsd -Fu../* \
-	-Fu../../units/${ARCH}-freebsd -Fu../../../units/${ARCH}-freebsd \
+OPT+=	-Fuunits/${BUILDNAME} -Fu../units/${BUILDNAME} -Fu../* \
+	-Fu../../units/${BUILDNAME} -Fu../../../units/${BUILDNAME} \
 	-Fu../sqldb/*
 .endif
 
@@ -235,6 +233,112 @@
 USE_ICONV=	yes
 .endif
 
+.if ${PKGNAMESUFFIX} == "-a52"
+.	if defined(WITH_LIBA52)
+LIB_DEPENDS=	a52:${PORTSDIR}/audio/liba52
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-dbus"
+.	if defined(WITH_DBUS)
+LIB_DEPENDS=	dbus-1:${PORTSDIR}/devel/dbus
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-dts"
+.	if defined(WITH_LIBDCA)
+LIB_DEPENDS=	dca:${PORTSDIR}/multimedia/libdca
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-gmp"
+.	if defined(WITH_GMP)
+LIB_DEPENDS=	gmp:${PORTSDIR}/math/gmp
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-ldap"
+.	if defined(WITH_OPENLDAP)
+USE_OPENLDAP=	yes
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-libxml2"
+.	if defined(WITH_LIBXML2)
+LIB_DEPENDS=	xml2:${PORTSDIR}/textproc/libxml2
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-lua"
+.	if defined(WITH_LUA)
+LIB_DEPENDS=	lua-5.1:${PORTSDIR}/lang/lua
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-mad"
+.	if defined(WITH_LIBMAD)
+LIB_DEPENDS=	mad:${PORTSDIR}/audio/libmad
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-matroska"
+.	if defined(WITH_LIBMATROSKA)
+LIB_DEPENDS=	matroska:${PORTSDIR}/multimedia/libmatroska
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-modplug"
+.	if defined(WITH_LIBMODPLUG)
+LIB_DEPENDS=	modplug:${PORTSDIR}/audio/libmodplug
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-newt"
+.	if defined(WITH_NEWT)
+LIB_DEPENDS=	newt:${PORTSDIR}/devel/newt
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-oggvorbis"
+LIB_DEPENDS=
+.	if defined(WITH_LIBOGG)
+LIB_DEPENDS+=	ogg:${PORTSDIR}/audio/libogg
+.	endif
+.	if defined(WITH_LIBVORBIS)
+LIB_DEPENDS+=	vorbis:${PORTSDIR}/audio/libvorbis
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-openal"
+.	if defined(WITH_OPENAL)
+LIB_DEPENDS=	openal:${PORTSDIR}/audio/openal
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-proj4"
+.	if defined(WITH_PROJ)
+LIB_DEPENDS=	proj:${PORTSDIR}/graphics/proj
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-rexx"
+.	if defined(WITH_REXX_REGINA)
+LIB_DEPENDS=	regina:${PORTSDIR}/lang/rexx-regina
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-rsvg"
+.	if defined(WITH_LIBRSVG2)
+LIB_DEPENDS=	rsvg-2:${PORTSDIR}/graphics/librsvg2
+.	endif
+.endif
+
+.if ${PKGNAMESUFFIX} == "-sndfile"
+.	if defined(WITH_LIBSNDFILE)
+LIB_DEPENDS=	sndfile:${PORTSDIR}/audio/libsndfile
+.	endif
+.endif
+
 post-extract:
 	@cd ${WRKDIR}/${WRKUNITDIR} && \
 		${FIND} ${WRKSRC} -type d -name .svn | ${XARGS} ${RM} -rf
@@ -251,7 +355,7 @@
 	@cd ${WRKDIR}/${WRKUNITDIR} && ${GMAKE} all ${MAKE_ENV}
 
 do-install:
-	@cd ${WRKDIR}/${WRKUNITDIR} && ${GMAKE} install ${MAKE_ENV}
+	@cd ${WRKDIR}/${WRKUNITDIR} && FPCDIR=${UNITDIR} ${GMAKE} install ${MAKE_ENV}
 .	if !defined(NOPORTSDOCS)
 .		if defined(HAVE_EXAMPLES)
 			@cd ${WRKDIR}/${WRKUNITDIR} && ${GMAKE} fpc_exampleinstall
Index: lang/fpc/distinfo
===================================================================
RCS file: /home/ncvs/ports/lang/fpc/distinfo,v
retrieving revision 1.11
diff -u -r1.11 distinfo
--- lang/fpc/distinfo	4 May 2009 15:23:05 -0000	1.11
+++ lang/fpc/distinfo	11 Aug 2010 19:35:17 -0000
@@ -1,6 +1,15 @@
-MD5 (freepascal/fpc-2.2.4.source.tar.gz) = ba75e0942f6ff6acc94f66ef2cc0a54e
-SHA256 (freepascal/fpc-2.2.4.source.tar.gz) = 40756e9eef16b68a4628dd2225e8eacee9a2e4c2015e4db59d2ef9319a0067c8
-SIZE (freepascal/fpc-2.2.4.source.tar.gz) = 22851265
-MD5 (freepascal/fpc-2.2.4.bin.tar.gz) = 249fb81a82585114c4213db45113af5d
-SHA256 (freepascal/fpc-2.2.4.bin.tar.gz) = c0f7c4dcedd95d172f6d24c4f1e3e66c460c0b32c655b8b46e2a30a350099cf5
-SIZE (freepascal/fpc-2.2.4.bin.tar.gz) = 8773896
+MD5 (freepascal/fpc-2.4.0.source.tar.gz) = d1c14576efc007efe876b95b3427df01
+SHA256 (freepascal/fpc-2.4.0.source.tar.gz) = 11bc81df2102325645955613737f2027a8acb0f2c9e8d564ad7318ca425e4f69
+SIZE (freepascal/fpc-2.4.0.source.tar.gz) = 25981207
+MD5 (freepascal/fpcbuild-2.4.0.tar.gz) = af49e9a8bb632f361395add30ece8934
+SHA256 (freepascal/fpcbuild-2.4.0.tar.gz) = b3abbeaa0f2c3427fd447759e715cbc19b920f2ccad2b40ae5ab47e9d4124fd4
+SIZE (freepascal/fpcbuild-2.4.0.tar.gz) = 41769847
+MD5 (freepascal/fpc-2.4.0.man.tar.gz) = 8183901b7f16773c312e4bab80beaf30
+SHA256 (freepascal/fpc-2.4.0.man.tar.gz) = 1c7c1e551d8b5437899662588a8e1521047fdc4fcf64ad16ed84d8e8e5e9c796
+SIZE (freepascal/fpc-2.4.0.man.tar.gz) = 30352
+MD5 (freepascal/ppc386-freebsd-6.bz2) = 35929f6cadd94161c90f1ca9bc4ff8f1
+SHA256 (freepascal/ppc386-freebsd-6.bz2) = 55516c8a07506a50331b7c64d9dd54022fa9ec5e6e8656a205a8d7f7ea96b164
+SIZE (freepascal/ppc386-freebsd-6.bz2) = 791740
+MD5 (freepascal/ppcx64-2.4.0-x86_64-freebsd-6.bz2) = 1ec279d453c0df3157e9fefbe0ce7f45
+SHA256 (freepascal/ppcx64-2.4.0-x86_64-freebsd-6.bz2) = 079bbd5bbfdf1e831f3863a7f491dd1367a1dcb9db0766469ff9ec1de94a7735
+SIZE (freepascal/ppcx64-2.4.0-x86_64-freebsd-6.bz2) = 721114
Index: lang/fpc/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/lang/fpc/pkg-plist,v
retrieving revision 1.11
diff -u -r1.11 pkg-plist
--- lang/fpc/pkg-plist	14 Jan 2009 06:12:03 -0000	1.11
+++ lang/fpc/pkg-plist	19 Apr 2010 09:17:21 -0000
@@ -7,10 +7,13 @@
 bin/fpcmake
 bin/fpcmkcfg
 bin/fpcsubst
+bin/mkarmins
+bin/mkx86ins
 bin/ppudump
 bin/ppufiles
 bin/ppumove
-bin/ppc386
+%%ARCH_I386%%bin/ppc386
+%%ARCH_AMD64%%bin/ppcx64
 lib/fpc/%%PORTVERSION%%/msg/errorct.msg
 lib/fpc/%%PORTVERSION%%/msg/errord.msg
 lib/fpc/%%PORTVERSION%%/msg/errorda.msg
@@ -30,7 +33,8 @@
 lib/fpc/%%PORTVERSION%%/msg/errorues.msg
 lib/fpc/%%PORTVERSION%%/msg/errorr.msg
 lib/fpc/%%PORTVERSION%%/msg/errorrw.msg
-lib/fpc/%%PORTVERSION%%/ppc386
+%%ARCH_I386%%lib/fpc/%%PORTVERSION%%/ppc386
+%%ARCH_AMD64%%lib/fpc/%%PORTVERSION%%/ppcx64
 lib/fpc/%%PORTVERSION%%/samplecfg
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/Package.fpc
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/baseunix.o
@@ -48,8 +52,8 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/convutils.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/convutils.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/cprt0.o
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/cpu.o
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/cpu.ppu
+%%ARCH_I386%%lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/cpu.o
+%%ARCH_I386%%lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/cpu.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/crt.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/crt.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/cthreads.o
@@ -76,6 +80,9 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/fgl.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/fmtbcd.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/fmtbcd.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/fpintres.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/fpintres.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpfpintres.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/freebsd.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/freebsd.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/getopts.o
@@ -96,7 +103,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpcmem.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpconsole.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpconvutils.a
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpcpu.a
+%%ARCH_I386%%lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpcpu.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpcrt.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpcthreads.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpctypes.a
@@ -121,7 +128,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpmacpas.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpmath.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpmatrix.a
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpmmx.a
+%%ARCH_I386%%lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpmmx.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpmouse.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpobjects.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/libpobjpas.a
@@ -160,8 +167,8 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/math.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/matrix.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/matrix.ppu
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/mmx.o
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/mmx.ppu
+%%ARCH_I386%%lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/mmx.o
+%%ARCH_I386%%lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/mmx.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/mouse.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/mouse.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/rtl/objects.o
Index: lang/fpc/files/patch-syscall
===================================================================
RCS file: lang/fpc/files/patch-syscall
diff -N lang/fpc/files/patch-syscall
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ lang/fpc/files/patch-syscall	12 Aug 2010 10:39:07 -0000
@@ -0,0 +1,115 @@
+--- ./rtl/bsd/ossysc.inc.orig	2009-05-02 10:40:44.000000000 +0100
++++ ./rtl/bsd/ossysc.inc	2010-08-12 11:36:07.000000000 +0100
+@@ -94,11 +94,11 @@
+ 
+ begin
+  {$ifdef CPU64}
+-  Fpmmap:=pointer(ptruint(do__syscall(TSysParam(syscall_nr_mmap),TSysParam(Start),TSysParam(Len),TSysParam(Prot),TSysParam(Flags),TSysParam(fd),TSysParam(offst),0,0)));
++  Fpmmap:=pointer(ptruint(do_syscall(TSysParam(syscall_nr_mmap),TSysParam(Start),TSysParam(Len),TSysParam(Prot),TSysParam(Flags),TSysParam(fd),0,TSysParam(offst))));
+ {$else}
+-  Fpmmap:=pointer(ptruint(do_syscall(syscall_nr_mmap,TSysParam(Start),Len,Prot,Flags,fd,
++  Fpmmap:=pointer(ptruint(do_syscall(syscall_nr_mmap,TSysParam(Start),Len,Prot,Flags,fd,0,
+         {$ifdef FPC_BIG_ENDIAN}    hi(offst),lo(offst){$endif}
+-        {$ifdef FPC_LITTLE_ENDIAN} lo(offst),hi(offst){$endif},0
++        {$ifdef FPC_LITTLE_ENDIAN} lo(offst),hi(offst){$endif}
+         )));
+ {$endif}
+ end;
+--- ./rtl/bsd/x86_64/syscall.inc.orig	2008-09-13 19:17:13.000000000 +0100
++++ ./rtl/bsd/x86_64/syscall.inc	2010-08-12 11:35:15.000000000 +0100
+@@ -219,7 +219,6 @@
+ .LSyscOK:
+ end;
+ 
+-
+ function fpsysCall(sysnr,param1,param2,param3,param4,param5,param6 : TSysParam):TSysResult; assembler;[public,alias:'FPC_DOSYS6'];
+ 
+ asm
+@@ -232,7 +231,6 @@
+   movq param6,%r9
+   syscall                 { Do the system call. }
+   jnb .LSyscOK            { branch to exit if ok, errorhandler otherwise}
+-
+   movq  %rax,%rdx
+ {$ifdef FPC_PIC}
+   movq  fpc_threadvar_relocate_proc@GOTPCREL(%rip),%rax
+@@ -257,50 +255,11 @@
+ .LSyscOK:
+ 
+ end;
+-//                    edi   esi   edx 	 ecx    r8      r9   stack
+-function fp_sysCall(sysnr,param1,param2,param3,param4,param5,param6 : TSysParam):TSysResult; assembler;[public,alias:'FPC__DOSYS'];
+ 
+-asm
+-  movq sysnr,%rax         { Syscall number -> rax.  }
+-  movq param1,%rdi        { shift arg1 - arg6. }
+-  movq param2,%rsi
+-  movq param3,%rdx
+-  movq param4,%r10
+-  movq param5,%r8
+-  movq param6,%r9
+-  syscall                 { Do the system call. }
+-  jnb .LSyscOK            { branch to exit if ok, errorhandler otherwise}
+-  movq  %rax,%rdx
+-{$ifdef FPC_PIC}
+-  movq  fpc_threadvar_relocate_proc@GOTPCREL(%rip),%rax
+-  movq  (%rax),%rax
+-  movq  Errno@GOTPCREL(%rip),%r11
+-{$else FPC_PIC}
+-  movq  fpc_threadvar_relocate_proc,%rax
+-  leaq  Errno,%r11
+-{$endif FPC_PIC}
+-  testq %rax,%rax
+-  jne   .LThread
+-  movl  %edx,8(%r11)
+-  jmp   .LNoThread
+-.LThread:
+-  pushq %rdx
+-  movq  (%r11),%rdi
+-  call  *%rax
+-  popq  %rdx
+-  movl  %edx,(%rax)
+-.LNoThread:
+-  movq  $-1,%rax
+-.LSyscOK:
+-  add    $0x18,%rsp
+-end;
+-
+-
+-//                    edi   esi   edx 	 ecx    r8      r9   stack  stack
+-function fp_sysCall(sysnr,param1,param2,param3,param4,param5,param6,param7 : TSysParam):TSysResult; assembler;[public,alias:'FPC__DOSYS7'];
++function fp_sysCall(sysnr,param1,param2,param3,param4,param5,param6,param7 : TSysParam):TSysResult; assembler;[public,alias:'FPC_DOSYS7'];
+ 
+ asm
+-  sub    $0x10,%rsp
++  subq   $0x10,%rsp
+   movq   sysnr,%rax       { Syscall number -> rax.  }
+   movq   param1,%rdi      { shift arg1 - arg6. }
+   movq   param2,%rsi
+@@ -309,7 +268,7 @@
+   movq   param5,%r8
+   movq   param6,%r9
+   movq   param7,%r11
+-  movq   %r11,(%rsp)
++  movq   %r11,8(%rsp)
+   syscall                 { Do the system call. }
+   jnb .LSyscOK            { branch to exit if ok, errorhandler otherwise}
+   movq  %rax,%rdx
+@@ -334,6 +293,6 @@
+ .LNoThread:
+   movq  $-1,%rax
+ .LSyscOK:
+-  add    $0x10,%rsp
++  addq   $0x10,%rsp
+ end;
+ 
+--- ./rtl/bsd/x86_64/syscallh.inc.orig	2008-10-31 18:19:44.000000000 +0000
++++ ./rtl/bsd/x86_64/syscallh.inc	2010-08-12 11:35:15.000000000 +0100
+@@ -41,7 +41,5 @@
+ function do_sysCall(sysnr,param1,param2,param3,param4,param5,param6:TSysParam):int64; external name 'FPC_DOSYS6';
+ function do_sysCall(sysnr,param1,param2,param3,param4,param5,param6,param7:TSysParam):int64; external name 'FPC_DOSYS7';
+ 
+-// special
+-function do__sysCall(sysnr,param1,param2,param3,param4,param5,param6,param7,Param8:TSysParam):TSysResult; external name 'FPC__DOSYS';
+ {$endif}
+ 
Index: lang/fpc-base/Makefile
===================================================================
RCS file: /home/ncvs/ports/lang/fpc-base/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- lang/fpc-base/Makefile	28 Mar 2010 06:38:52 -0000	1.14
+++ lang/fpc-base/Makefile	12 Apr 2010 12:08:54 -0000
@@ -6,8 +6,8 @@
 #
 
 PORTNAME=	base
-PORTVERSION=	2.2.4
-PORTREVISION=	3
+PORTVERSION=	2.4.0
+PORTREVISION=	0
 CATEGORIES=	lang
 MASTER_SITES=	# empty
 PKGNAMEPREFIX=	fpc-
Index: lang/fpc-docs/Makefile
===================================================================
RCS file: /home/ncvs/ports/lang/fpc-docs/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- lang/fpc-docs/Makefile	5 May 2009 11:46:15 -0000	1.12
+++ lang/fpc-docs/Makefile	12 Apr 2010 12:08:54 -0000
@@ -6,14 +6,15 @@
 #
 
 PORTNAME=	docs
-PORTVERSION=	2.2.4
+PORTVERSION=	2.4.0
 CATEGORIES=	lang
 MASTER_SITES=	ftp://ftp.freepascal.org/pub/fpc/dist/${PORTVERSION}/docs/ \
 		ftp://planetmirror.com/pub/fpc/dist/${PORTVERSION}/docs/ \
 		ftp://ftp.jp.freepascal.org/mirror/fpc/dist/${PORTVERSION}/docs/ \
 		ftp://freepascal.stack.nl/pub/fpc/dist/${PORTVERSION}/docs/ \
 		ftp://ftp.no.freepascal.org/pub/fpc/dist/${PORTVERSION}/docs/ \
-		ftp://ftp.us.freepascal.org/pub/fpc/dist/${PORTVERSION}/docs/
+		ftp://ftp.us.freepascal.org/pub/fpc/dist/${PORTVERSION}/docs/ \
+		SF/freepascal/Documentation/${PORTVERSION} \
 PKGNAMEPREFIX=	fpc-
 DISTNAME=	${PORTNAME:S/s//}-pdf
 DIST_SUBDIR=	freepascal
@@ -21,7 +22,7 @@
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	Free Pascal compiler Adobe Acrobat(tm) documentation
 
-ONLY_FOR_ARCHS=	i386
+ONLY_FOR_ARCHS=	i386 amd64
 NO_BUILD=	yes
 
 DOCSDIR=	${PREFIX}/share/doc/fpdocs-${PORTVERSION}
@@ -30,7 +31,7 @@
 
 do-install:
 	@${MKDIR} ${DOCSDIR}
-	@cd ${WRKDIR}/share/doc/fpdocs-${PORTVERSION} && \
+	@cd ${WRKDIR}/doc && \
 		${FIND} * -type f -exec ${INSTALL_DATA} "{}" "${DOCSDIR}/{}" \;
 
 post-install:
Index: lang/fpc-docs/distinfo
===================================================================
RCS file: /home/ncvs/ports/lang/fpc-docs/distinfo,v
retrieving revision 1.8
diff -u -r1.8 distinfo
--- lang/fpc-docs/distinfo	4 May 2009 15:23:05 -0000	1.8
+++ lang/fpc-docs/distinfo	12 Apr 2010 12:08:54 -0000
@@ -1,3 +1,3 @@
-MD5 (freepascal/doc-pdf.tar.gz) = 3a99d6bafb7bc2306128b4bd11748506
-SHA256 (freepascal/doc-pdf.tar.gz) = c60fda3b9184727181aa12d46b38eaf8beb56b4caa47c5d6a736352362313805
-SIZE (freepascal/doc-pdf.tar.gz) = 6436837
+MD5 (freepascal/doc-pdf.tar.gz) = 20c1d67974c4d3f4fc5d8c7f4136840e
+SHA256 (freepascal/doc-pdf.tar.gz) = ba11897d6734da631f93764ff87cecc475e8f43be0c64e5ec8a6cfb69fe6d24e
+SIZE (freepascal/doc-pdf.tar.gz) = 7192775
Index: lang/fpc-units/Makefile
===================================================================
RCS file: /home/ncvs/ports/lang/fpc-units/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- lang/fpc-units/Makefile	28 Mar 2010 06:38:52 -0000	1.20
+++ lang/fpc-units/Makefile	23 Apr 2010 11:15:27 -0000
@@ -6,8 +6,8 @@
 #
 
 PORTNAME=	units
-PORTVERSION=	2.2.4
-PORTREVISION=	3
+PORTVERSION=	2.4.0
+PORTREVISION=	0
 CATEGORIES=	lang
 MASTER_SITES=	# none
 PKGNAMEPREFIX=	fpc-
@@ -17,15 +17,20 @@
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	A meta port to install Free Pascal units
 
-ONLY_FOR_ARCHS=	i386
+ONLY_FOR_ARCHS=	i386 amd64
 NO_BUILD=	yes
 
 BUILDNAME=	${ARCH}-freebsd
 
-OPTIONS=	ASPELL "Interface to aspell spelling checker"	on \
+OPTIONS=	A52	"Interface to a52 library"	on \
+		ASPELL	"Interface to aspell spelling checker"	on \
 		BFD	"Interface to GNU Binary Format description"	on \
+		BZIP2	"Free Pascal bzip2 unit"	on \
 		CAIRO	"Interface to cairo library" on \
-		CHM	"Free Pbscal unit to manipulate chm files" on \
+		CHM	"Free Pascal unit to manipulate chm files" on \
+		DBUS	"Interface to dbus library"	on \
+		DTS	"Interface to dts library"	on \
+		FASTCGI	"Free Pascal fastcgi unit" on \
 		FCL_ASYNC "Free Pascal interface to async library" on \
 		FCL_BASE	"Free Pascal Component Library (base)"	on \
 		FCL_DB	"Free Pascal Component Library (db)"	on \
@@ -36,30 +41,47 @@
 		FCL_PASSRC	"Free Pascal Component Library (passrc)"	on \
 		FCL_PROCESS	"Unit to start and manipulate other programs"	on \
 		FCL_REGISTRY	"Free Pascal Component Library (registry)"	on \
+		FCL_RES	"Free Pascal Component Library (res)"	on \
 		FCL_WEB	"Free Pascal Component Library (web)"	on \
 		FCL_XML	"Free Pascal Component Library (xml)"	on \
 		FFTW	"Interface to the FFTW3 library" on \
-		FPMKUNIT "Free Pascal build system unit" on \
 		FPGTK	"Interface to create programs with gtk"	on \
+		FPMKUNIT "Free Pascal build system unit" on \
+		FPVECTORIAL	"Free Pascal fpvectorial unit"	on \
 		FV	"Free Pascal unit for Delphi support" on \
 		GDBM	"Interface to the GNU database system"	on \
 		GGI	"Interface to libggi library"	on \
+		GMP	"Interface to gmp library"	on \
 		GNOME1	"Interface to create programs for GNOME" on \
 		GTK1	"Interface to gtk libraries"	on \
 		GTK2	"Interface to gtk2 libraries"	on \
+		HERMES	"Free Pascal hermes unit"	on \
 		ICONVENC	"Interface to iconv library"	on \
 		IMAGEMAGICK	"Interface to ImageMagick"	on \
 		IMLIB	"Interface to imlib library"	on \
+		LDAP	"Interface to OpenLDAP"	on \
 		LIBCURL	"Interface to curl library"	on \
 		LIBGD	"Interface to gd library"	on \
 		LIBPNG	"Interface to png library"	on \
+		LIBXML2	"Interface to libxml2 library"	on \
+		LUA	"Interface to lua interpreter"	on \
+		MAD	"Interface to mad library" on \
+		MATROSKA	"Interface to matroska library" on \
+		MODPLUG	"Interface to modplug library"	on \
 		NCURSES	"Interface to ncurses library"	on \
+		NEWT	"Interface to newt library"	on \
 		NUMLIB	"Free Pascal unit for numerical methods"	on \
+		OGGVORBIS	"Interaface to ogg & vorbis libraries"	on \
+		OPENAL	"Interface to openal library"	on \
 		OPENGL	"Interface to opengl library"	on \
 		OPENSSL	"Interface to openssl library"	on \
 		PCAP	"Interface to pcap library"	on \
+		PROJ4	"Interface to proj library"	on \
 		PXLIB	"Unit to read various Paradox file"	on \
+		REXX	"Intrface to rexx-regina library"	on \
+		RSVG	"Interface to rsvg2 library"	on \
 		SDL	"Free Pascal interface to SDL library"	on \
+		SNDFILE	"Interface to sndfile library"	on \
 		SVGALIB	"Interface to svgalib library"	on \
 		SYMBOLIC	"Simple expression parsing and evaluating"	on \
 		SYSLOG	"Interface to system logger"	on \
@@ -67,6 +89,7 @@
 		UNZIP	"Routines for unzipping zip files"	on \
 		USERS	"Interface to manipulate users"	on \
 		UTMP	"Gather information from the utmp file"	on \
+		UUID	"Free Pascal uuid unit"	on \
 		X11	"Interface to X windows server"	on \
 		XFORMS	"Interface to X-Forms"	on \
 		ZLIB	"Interface to the zlib compression library"	on \
@@ -74,16 +97,19 @@
 PORT_DBDIR?=	/var/db/ports
 LATEST_LINK=	${PKGNAMEPREFIX}${PORTNAME}
 OPTIONSFILE?=	${PORT_DBDIR}/${LATEST_LINK}/options
-                
+
 .if exists(${OPTIONSFILE})
 .include "${OPTIONSFILE}"
 .endif
 
-ALL_OPTIONS=	ASPELL BFD CAIRO CHM FCL-ASYNC FCL-BASE FCL-DB FCL-FPCUNIT FCL-IMAGE \
-		FCL-JSON FCL-NET FCL-PASSRC FCL-PROCESS FCL-REGISTRY FCL-WEB FCL-XML \
-		FFTW FPMKUNIT FPGTK FV GDBM GGI GNOME1 GTK1 GTK2 ICONVENC IMAGEMAGICK IMLIB LIBCURL \
-		LIBGD LIBPNG NCURSES NUMLIB OPENGL OPENSSL PCAP PXLIB SDL SVGALIB SYMBOLIC \
-		SYSLOG TCL UNZIP USERS UTMP X11 XFORMS ZLIB
+ALL_OPTIONS=	A52 ASPELL BFD BZIP2 CAIRO CHM DBUS DTS FASTCGI FCL-ASYNC FCL-BASE \
+		FCL-DB FCL-FPCUNIT FCL-IMAGE FCL-JSON FCL-NET FCL-PASSRC FCL-PROCESS \
+		FCL-REGISTRY FCL-RES FCL-WEB FCL-XML FFTW FPGTK FPMKUNIT FPVECTORIAL \
+		FV GDBM GGI GMP GNOME1 GTK1 GTK2 HERMES ICONVENC IMAGEMAGICK IMLIB \
+		LDAP LIBCURL LIBGD LIBPNG LIBXML2 LUA MAD MATROSKA MODPLUG NCURSES \
+		NEWT NUMLIB OGGVORBIS OPENAL OPENGL OPENSSL PCAP PROJ4 PXLIB RSVG \
+		REXX SDL SNDFILE SVGALIB SYMBOLIC SYSLOG TCL UNZIP USERS UTMP UUID \
+		X11 XFORMS ZLIB
 
 UNITS_SELECTED=		#
 .for OPT in ${ALL_OPTIONS}
Index: lang/fpc-utils/Makefile
===================================================================
RCS file: /home/ncvs/ports/lang/fpc-utils/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- lang/fpc-utils/Makefile	28 Mar 2010 06:38:52 -0000	1.11
+++ lang/fpc-utils/Makefile	12 Apr 2010 12:08:54 -0000
@@ -5,14 +5,14 @@
 # $FreeBSD: ports/lang/fpc-utils/Makefile,v 1.11 2010/03/28 06:38:52 dinoex Exp $
 #
 
-PORTREVISION=	3
+PORTREVISION=	0
 CATEGORIES=	lang
 PKGNAMESUFFIX=	-utils
 
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	Free Pascal Compiler utils
 
-USE_FPC=	chm fcl-async fcl-base fcl-net fcl-passrc fcl-process fcl-xml gdbint \
+USE_FPC=	chm fcl-async fcl-base fcl-net fcl-passrc fcl-process fcl-res fcl-xml gdbint \
 		graph ibase libcurl hash mysql oracle pasjpeg paszlib pthreads \
 		postgres regexpr sqlite
 
Index: lang/fpc-utils/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/lang/fpc-utils/pkg-plist,v
retrieving revision 1.5
diff -u -r1.5 pkg-plist
--- lang/fpc-utils/pkg-plist	4 May 2009 15:23:08 -0000	1.5
+++ lang/fpc-utils/pkg-plist	12 Apr 2010 12:08:54 -0000
@@ -18,6 +18,7 @@
 bin/rstconv
 bin/unitdiff
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/Package.fpc
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/buildfppkg.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/pkgwget.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/pkglnet.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/pkgrepos.ppu
@@ -31,6 +32,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/pkgdownload.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/pkgfpmake.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/pkgcommands.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/buildfppkg.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/pkgwget.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/pkglnet.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/pkgrepos.o
@@ -44,6 +46,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/pkgdownload.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/pkgfpmake.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/pkgcommands.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/libpbuildfppkg.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/libppkgwget.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/libppkglnet.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fppkg/libppkgrepos.a
Index: math/fpc-fftw/Makefile
===================================================================
RCS file: /home/ncvs/ports/math/fpc-fftw/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- math/fpc-fftw/Makefile	18 May 2009 15:08:57 -0000	1.6
+++ math/fpc-fftw/Makefile	12 Apr 2010 12:09:26 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/math/fpc-fftw/Makefile,v 1.6 2009/05/18 15:08:57 pav Exp $
 #
 
-PORTREVISION=	1
+PORTREVISION=	0
 CATEGORIES=	math lang
 PKGNAMESUFFIX=	-fftw
 
Index: security/fpc-hash/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/security/fpc-hash/pkg-plist,v
retrieving revision 1.6
diff -u -r1.6 pkg-plist
--- security/fpc-hash/pkg-plist	14 Jan 2009 06:12:08 -0000	1.6
+++ security/fpc-hash/pkg-plist	12 Apr 2010 12:11:49 -0000
@@ -8,7 +8,10 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/hash/libpcrc.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/hash/libpmd5.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/hash/libpntlm.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/hash/libpsha1.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/hash/libpuuid.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/hash/sha1.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/hash/sha1.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/hash/uuid.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/hash/uuid.ppu
 @dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/hash
Index: textproc/fpc-aspell/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/textproc/fpc-aspell/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- textproc/fpc-aspell/pkg-plist	14 Jan 2009 02:41:00 -0000	1.1
+++ textproc/fpc-aspell/pkg-plist	12 Apr 2010 12:13:36 -0000
@@ -1,11 +1,14 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/aspell/Package.fpc
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/aspell/aspell.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/aspell/aspelldyn.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/aspell/spellcheck.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/aspell/aspell.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/aspell/aspelldyn.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/aspell/spellcheck.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/aspell/libpaspell.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/aspell/libpaspelldyn.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/aspell/libpspellcheck.a
-@dirrm lib/fpc/%%PORTVERSION%%/units/i386-freebsd/aspell
+@dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/aspell
 @dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
 @dirrmtry lib/fpc/%%PORTVERSION%%/units
 @dirrmtry lib/fpc/%%PORTVERSION%%
Index: x11-toolkits/fpc-gnome1/Makefile
===================================================================
RCS file: /home/ncvs/ports/x11-toolkits/fpc-gnome1/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- x11-toolkits/fpc-gnome1/Makefile	28 Mar 2010 06:46:32 -0000	1.11
+++ x11-toolkits/fpc-gnome1/Makefile	12 Apr 2010 12:16:59 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/x11-toolkits/fpc-gnome1/Makefile,v 1.11 2010/03/28 06:46:32 dinoex Exp $
 #
 
-PORTREVISION=	3
+PORTREVISION=	0
 CATEGORIES=	x11-toolkits lang
 PKGNAMESUFFIX=	-gnome1
 
Index: x11-toolkits/fpc-gtk2/Makefile
===================================================================
RCS file: /home/ncvs/ports/x11-toolkits/fpc-gtk2/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- x11-toolkits/fpc-gtk2/Makefile	28 Mar 2010 06:46:32 -0000	1.17
+++ x11-toolkits/fpc-gtk2/Makefile	20 Apr 2010 20:09:57 -0000
@@ -5,14 +5,14 @@
 # $FreeBSD: ports/x11-toolkits/fpc-gtk2/Makefile,v 1.17 2010/03/28 06:46:32 dinoex Exp $
 #
 
-PORTREVISION=	3
+PORTREVISION=	0
 CATEGORIES=	x11-toolkits lang
 PKGNAMESUFFIX=	-gtk2
 
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	Free Pascal interface to the GTK2 libraries
 
-USE_FPC=	x11
+USE_FPC=	cairo x11
 
 MASTERDIR=	${.CURDIR}/../../lang/fpc
 WRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
Index: x11-toolkits/fpc-gtk2/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/x11-toolkits/fpc-gtk2/pkg-plist,v
retrieving revision 1.6
diff -u -r1.6 pkg-plist
--- x11-toolkits/fpc-gtk2/pkg-plist	4 May 2009 15:23:07 -0000	1.6
+++ x11-toolkits/fpc-gtk2/pkg-plist	20 Apr 2010 20:09:57 -0000
@@ -1,9 +1,9 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/Package.fpc
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/buildgtk2.ppu
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/gtkhtml.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/glib2.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/atk.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/pango.ppu
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/pangocairo.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/gdk2pixbuf.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/gdk2.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/gtk2.ppu
@@ -13,10 +13,10 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/gdk2x.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/gdkglext.ppu
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/buildgtk2.o
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/gtkhtml.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/glib2.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/atk.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/pango.o
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/pangocairo.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/gdk2pixbuf.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/gdk2.o
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/gtk2.o
@@ -28,6 +28,7 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/libpglib2.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/libpatk.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/libppango.a
+lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/libppangocairo.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/libpgdk2pixbuf.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/libpgdk2.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/libpgdk2x.a
@@ -36,7 +37,6 @@
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/libplibglade2.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/libpgtkglext.a
 lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/libpgdkglext.a
-lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2/libpgtkhtml.a
 @dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gtk2
 @dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
 @dirrmtry lib/fpc/%%PORTVERSION%%/units
Index: x11-toolkits/fpc-xforms/Makefile
===================================================================
RCS file: /home/ncvs/ports/x11-toolkits/fpc-xforms/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- x11-toolkits/fpc-xforms/Makefile	5 Feb 2010 11:46:15 -0000	1.11
+++ x11-toolkits/fpc-xforms/Makefile	12 Apr 2010 12:16:59 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/x11-toolkits/fpc-xforms/Makefile,v 1.11 2010/02/05 11:46:15 dinoex Exp $
 #
 
-PORTREVISION=	2
+PORTREVISION=	0
 CATEGORIES=	x11-toolkits lang
 PKGNAMESUFFIX=	-xforms
 
